function FileData_Pairs(x)
{
x.t("topic","queue");
x.t("until","message");
x.t("listener","receive");
x.t("listener","asynchronous");
x.t("listener","delivers");
x.t("explicitly","invokes");
x.t("arrives","destination");
x.t("arrives","receiving");
x.t("apis","allow");
x.t("queue","synchronously");
x.t("details","consumer");
x.t("details","tibco");
x.t("ems","apis");
x.t("registering","message");
x.t("synchronously","receiving");
x.t("creating","message");
x.t("synchronous","consumption");
x.t("synchronous","asynchronous");
x.t("consumption","details");
x.t("consumption","ems");
x.t("consumption","synchronous");
x.t("consumption","chapter");
x.t("consumption","message");
x.t("destination","message");
x.t("allow","synchronous");
x.t("receiving","messages");
x.t("invokes","receive");
x.t("messages","details");
x.t("messages","creating");
x.t("messages","synchronous");
x.t("messages","consumer");
x.t("messages","asynchronously");
x.t("messages","message");
x.t("chapter","messages");
x.t("receive","messages");
x.t("receive","call");
x.t("consumer","explicitly");
x.t("consumer","receive");
x.t("consumer","message");
x.t("consumer","free");
x.t("consumer","remains");
x.t("message","listener");
x.t("message","arrives");
x.t("message","consumption");
x.t("message","consumer");
x.t("message","message");
x.t("asynchronously","registering");
x.t("tibco","software");
x.t("free","operations");
x.t("asynchronous","message");
x.t("blocked","until");
x.t("call","topic");
x.t("operations","messages");
x.t("delivers","message");
x.t("remains","blocked");
}
